For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact SalesGet Support
HomeGuidesAPI reference
HomeGuidesAPI reference
  • Middesk API
        • GETList actions for an object
        • POSTCreate an action on an object
        • GETRetrieve an action
LogoLogo
Contact SalesGet Support
Middesk APIBusiness VerificationActions

Retrieve an action

GET
https://api.middesk.com/v1/actions/:id
GET
/v1/actions/:id
$curl -G https://api.middesk.com/v1/actions/id \
> -H "Authorization: Bearer <token>" \
> -d object_type=businesses \
> -d object_id=object_id
1{
2 "id": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
3 "type": "add_sources",
4 "object_type": "Business",
5 "object_id": "b1c2d3e4-5678-90ab-cdef-1234567890ab",
6 "created_at": "2026-01-15T12:00:00Z",
7 "effects": [
8 {
9 "operation": "created",
10 "diff": null,
11 "target": {
12 "object": "faa_airmen_certificate",
13 "id": "c1d2e3f4-5678-90ab-cdef-1234567890ab"
14 }
15 }
16 ],
17 "actors": [
18 {
19 "actor_type": "account",
20 "data": {
21 "id": "d1e2f3a4-5678-90ab-cdef-1234567890ab",
22 "name": "Example Account"
23 }
24 },
25 {
26 "actor_type": "run",
27 "data": {
28 "id": "66666666-7777-8888-9999-000000000000",
29 "thread_id": "11111111-2222-3333-4444-555555555555",
30 "status": "running",
31 "agent": "address_verification"
32 }
33 }
34 ],
35 "note": "Adding government verification source",
36 "metadata": {
37 "key": "value"
38 }
39}
Was this page helpful?
Previous

Check TIN match service availability

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
Action ID

Query parameters

object_typeenumRequired
Type of object the action belongs to
Allowed values:
object_idstringRequired
ID of the object the action belongs to

Response

action found
idstringformat: "uuid"
typeenum
The action type that was performed
object_typeenum
The type of object the action was performed on
Allowed values:
object_idstringformat: "uuid"
The ID of the object the action was performed on
created_atdatetime
effectslist of objects
List of effects describing what changed
actorslist of objects
List of actors describing who initiated the action
notestring or null
Optional text note describing the reason for the action
metadatamap from strings to any
Additional metadata associated with the action

Errors

404
Get Action Request Not Found Error